Skip to main content
POST
/
service
/
{tenant_name}
/
wg_tunnel
/
{user_name}
/
{system_name}
Create a new VPN app tunnel
curl --request POST \
  --url https://api.example.com/service/{tenant_name}/wg_tunnel/{user_name}/{system_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "public_key": "<string>",
  "private_key": "<string>",
  "psk": "<string>",
  "tunnel_ip": "<string>",
  "labels": {},
  "description": "<string>"
}
'
import requests

url = "https://api.example.com/service/{tenant_name}/wg_tunnel/{user_name}/{system_name}"

payload = {
"name": "<string>",
"public_key": "<string>",
"private_key": "<string>",
"psk": "<string>",
"tunnel_ip": "<string>",
"labels": {},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
public_key: '<string>',
private_key: '<string>',
psk: '<string>',
tunnel_ip: '<string>',
labels: {},
description: '<string>'
})
};

fetch('https://api.example.com/service/{tenant_name}/wg_tunnel/{user_name}/{system_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "extra_details": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

Query Parameters

username
string
required

Body

application/json
name
string | null
public_key
string | null
private_key
string | null
psk
string | null
tunnel_ip
string | null
labels
Labels · object | null
description
string | null

Response

Successful Response

id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string>
required
Available options:
received,
in_progress,
success,
failed,
cancelled
extra_details
Extra Details · object | null